class Auth():
    def configure(self, config):
        pass

    def login(self, user, pw):
        """
        user User class containing at least the uid
        pw given password

        HAS TO BE IMPLEMENTED!

        should return False if not found or invalid credentials
        should return True if success
        """
        return False

    def updateUser(self, user):
        """
        user User class

        If backend is using external data, then update this user instance with external data
        """
        pass

    def modifyUser(self, user):
        """
        user User class

        If backend is using (writeable) external data, then update the external database with the user provided.
        """
        pass

