from setuptools import setup, find_packages

setup(
    name='flaschengeist',
    version='0.0.1',
    url='https://wu5.de/redmine/projects/geruecht',
    author='WU5 + Friends',
    author_email='tim@groeger-clan.de',
    description='Does things',
    packages=find_packages(),
    package_data={'': ['*.yml']},
    scripts=['run_flaschengeist'],
    install_requires=['Flask >= 1.1', 'PyYAML>=5.3.1', 'sqlalchemy>=1.3', "flask_sqlalchemy", "flask_cors"],
    extras_require={
        'ldap': [
            'flask_ldapconn',
            'ldap3'
        ]
    },
    entry_points={
        'flaschengeist.plugin': [
            'auth = flaschengeist.modules.auth:register',
            'schedule = flaschengeist.modules.schedule:register'
        ],
        'flaschengeist.auth': [
            'auth_plain = flaschengeist.modules.auth_plain:AuthPlain',
            'auth_ldap = flaschengeist.modules.auth_ldap:AuthLDAP [ldap]'
        ]
    }
)
